Bug 165278 - USB mouse stops working on notebook resume (Toshiba Satellite)
USB mouse stops working on notebook resume (Toshiba Satellite)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-06 13:02 EDT by Eli
Modified: 2015-01-04 17:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 21:25:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eli 2005-08-06 13:02:42 EDT
Description of problem:
When I resume from suspend, I get an error message saying that IRQ#10 is being
disabled, and the USB mouse stops working.  The USB mouse is connected to a USB
hub along with a SD/CF card reader and a Zaurus.

Version-Release number of selected component (if applicable):
kernel-2.6.12-1.1372_FC3

How reproducible:
Every time

Steps to Reproduce:
1. "Lock & Suspend..." from KDE
2. Watch the notebook suspend.
3. Tap the power button to wake the computer from suspend

  
Actual results:
Once the notebook has resumed, it gives an error message that IRQ#10 is being
disabled, and the USB mouse no longer works.

Expected results:
The mouse should still work.

Additional info:

This section of /var/log/messages looks relevant.
Aug  6 11:38:27 pegasus gpm[3969]: *** info [startup.c(95)]: 
Aug  6 11:38:27 pegasus gpm[3969]: Started gpm successfully. Entered daemon mode.
Aug  6 11:38:27 pegasus gpm[3969]: *** info [mice.c(1766)]: 
Aug  6 11:38:27 pegasus gpm[3969]: imps2: Auto-detected intellimouse PS/2
Aug  6 11:38:28 pegasus gpm: gpm startup succeeded
Aug  6 11:38:28 pegasus crond: crond startup succeeded
Aug  6 11:38:29 pegasus xfs: xfs startup succeeded
Aug  6 11:38:29 pegasus anacron: anacron startup succeeded
Aug  6 11:38:29 pegasus atd: atd startup succeeded
Aug  6 11:38:30 pegasus readahead: Starting background readahead: 
Aug  6 11:38:30 pegasus rc: Starting readahead:  succeeded
Aug  6 11:38:32 pegasus messagebus: messagebus startup succeeded
Aug  6 11:38:32 pegasus cups-config-daemon: cups-config-daemon startup succeeded
Aug  6 11:38:33 pegasus haldaemon: haldaemon startup succeeded
Aug  6 11:38:36 pegasus fstab-sync[4303]: removed all generated mount points
Aug  6 11:38:37 pegasus fstab-sync[4539]: added mount point /media/cdrecorder
for /dev/hdc
Aug  6 11:38:39 pegasus kernel: [drm] Initialized drm 1.0.0 20040925
Aug  6 11:38:39 pegasus kernel: ACPI: PCI Interrupt 0000:00:02.0[A] -> Link
[LNKA] -> GSI 10 (level, low) -> IRQ 10
Aug  6 11:38:39 pegasus kernel: [drm] Initialized i915 1.1.0 20040405 on minor 0: 
Aug  6 11:38:39 pegasus kernel: [drm] Initialized i915 1.1.0 20040405 on minor 1: 
Aug  6 11:38:39 pegasus kernel: mtrr: base(0xd8020000) is not aligned on a
size(0x300000) boundary
Aug  6 11:38:51 pegasus gdm(pam_unix)[4577]: session opened for user eli by (uid=0)
Aug  6 11:39:22 pegasus kernel: codec_semaphore: semaphore is not ready
[0x1][0x701300]
Aug  6 11:39:22 pegasus kernel: codec_read 0: semaphore is not ready for
register 0x72
Aug  6 11:39:54 pegasus kernel: Stopping tasks:
===================================================================|
Aug  6 11:39:54 pegasus kernel: codec_semaphore: semaphore is not ready
[0x1][0x701300]
Aug  6 11:39:54 pegasus kernel: codec_write 1: semaphore is not ready for
register 0x26
Aug  6 11:39:54 pegasus kernel: Debug: sleeping function called from invalid
context at mm/slab.c:2126
Aug  6 11:39:54 pegasus kernel: in_atomic():0, irqs_disabled():1
Aug  6 11:39:54 pegasus kernel:  [<c011d3a4>] __might_sleep+0x9c/0xaa
Aug  6 11:39:54 pegasus kernel:  [<c0159762>] kmem_cache_alloc+0x3c/0x4c
Aug  6 11:39:54 pegasus kernel:  [<c023dc0c>] acpi_pci_link_set+0x4a/0x1a2
Aug  6 11:39:54 pegasus kernel:  [<c023e085>] irqrouter_resume+0x1c/0x24
Aug  6 11:39:54 pegasus kernel:  [<c027cb02>] sysdev_resume+0x5c/0xac
Aug  6 11:39:54 pegasus kernel:  [<c0280adb>] device_power_up+0x5/0xa
Aug  6 11:39:55 pegasus kernel:  [<c014878b>] suspend_enter+0x2d/0x46
Aug  6 11:39:55 pegasus hal.hotplug[5122]: DEVPATH is not set
Aug  6 11:39:55 pegasus gpm[3969]: *** info [mice.c(1766)]: 
Aug  6 11:39:55 pegasus net.agent[5065]: remove event not handled
Aug  6 11:39:55 pegasus net.agent[5042]: remove event not handled
Aug  6 11:39:55 pegasus kernel:  [<c0148727>] suspend_prepare+0x55/0x8c
Aug  6 11:39:55 pegasus gpm[3969]: imps2: Auto-detected intellimouse PS/2
Aug  6 11:39:55 pegasus kernel:  [<c0148814>] enter_state+0x39/0x55
Aug  6 11:39:55 pegasus kernel:  [<c023b087>] acpi_suspend+0x28/0x35
Aug  6 11:39:55 pegasus kernel:  [<c023b156>] acpi_system_write_sleep+0x5a/0x6b
Aug  6 11:39:55 pegasus kernel:  [<c0177075>] vfs_write+0xaf/0x10a
Aug  6 11:39:55 pegasus kernel:  [<c017717b>] sys_write+0x41/0x6a
Aug  6 11:39:55 pegasus kernel:  [<c010392d>] syscall_call+0x7/0xb
Aug  6 11:39:55 pegasus kernel: irq 10: nobody cared!
Aug  6 11:39:55 pegasus kernel:  [<c014efc4>] __report_bad_irq+0x24/0x7d
Aug  6 11:39:55 pegasus kernel:  [<c014f0a6>] note_interrupt+0x6b/0x89
Aug  6 11:39:55 pegasus kernel:  [<c014e5c1>] __do_IRQ+0x180/0x2ff
Aug  6 11:39:55 pegasus kernel:  [<c010590b>] do_IRQ+0x4c/0x85
Aug  6 11:39:55 pegasus kernel:  =======================
Aug  6 11:39:55 pegasus kernel:  [<c012c6e0>] process_timeout+0x0/0x5
Aug  6 11:39:55 pegasus kernel:  [<c0103aea>] common_interrupt+0x1a/0x20
Aug  6 11:39:55 pegasus kernel:  [<c012797c>] __do_softirq+0x2c/0x8a
Aug  6 11:39:55 pegasus kernel:  [<c0105a17>] do_softirq+0x39/0x40
Aug  6 11:39:55 pegasus kernel:  =======================
Aug  6 11:39:55 pegasus kernel:  [<c0105912>] do_IRQ+0x53/0x85
Aug  6 11:39:55 pegasus kernel:  [<c0103aea>] common_interrupt+0x1a/0x20
Aug  6 11:39:55 pegasus kernel:  [<c014878d>] suspend_enter+0x2f/0x46
Aug  6 11:39:55 pegasus kernel:  [<c0148727>] suspend_prepare+0x55/0x8c
Aug  6 11:39:55 pegasus kernel:  [<c0148814>] enter_state+0x39/0x55
Aug  6 11:39:55 pegasus kernel:  [<c023b087>] acpi_suspend+0x28/0x35
Aug  6 11:39:55 pegasus kernel:  [<c023b156>] acpi_system_write_sleep+0x5a/0x6b
Aug  6 11:39:55 pegasus kernel:  [<c0177075>] vfs_write+0xaf/0x10a
Aug  6 11:39:55 pegasus kernel:  [<c017717b>] sys_write+0x41/0x6a
Aug  6 11:39:55 pegasus kernel:  [<c010392d>] syscall_call+0x7/0xb
Aug  6 11:39:55 pegasus kernel: handlers:
Aug  6 11:39:55 pegasus kernel: [<efb58780>] (i915_driver_irq_handler+0x0/0x8c
[i915])
Aug  6 11:39:55 pegasus kernel: Disabling IRQ #10
Aug  6 11:39:55 pegasus kernel: hub 2-0:1.0: resubmit --> -108
Aug  6 11:39:55 pegasus kernel: ACPI: PCI Interrupt 0000:00:02.0[A] -> Link
[LNKA] -> GSI 10 (level, low) -> IRQ 10
Aug  6 11:39:55 pegasus kernel: ACPI: PCI Interrupt 0000:00:1d.0[A] -> Link
[LNKA] -> GSI 10 (level, low) -> IRQ 10
Aug  6 11:39:55 pegasus kernel: ACPI: PCI Interrupt 0000:00:1d.1[B] -> Link
[LNKD] -> GSI 11 (level, low) -> IRQ 11
Aug  6 11:39:55 pegasus kernel: ACPI: PCI Interrupt 0000:00:1d.7[D] -> Link
[LNKH] -> GSI 11 (level, low) -> IRQ 11
Aug  6 11:39:55 pegasus kernel: ehci_hcd 0000:00:1d.7: debug port 1
Aug  6 11:39:55 pegasus kernel: ehci_hcd 0000:00:1d.7: USB 2.0 restarted, EHCI
1.00, driver 10 Dec 2004
Aug  6 11:39:55 pegasus kernel: ACPI: PCI Interrupt 0000:00:1f.1[A] -> Link
[LNKC] -> GSI 11 (level, low) -> IRQ 11
Aug  6 11:39:55 pegasus kernel: ACPI: PCI Interrupt 0000:00:1f.5[B] -> Link
[LNKB] -> GSI 11 (level, low) -> IRQ 11
Aug  6 11:39:55 pegasus kernel: ACPI: PCI Interrupt 0000:00:1f.6[B] -> Link
[LNKB] -> GSI 11 (level, low) -> IRQ 11
Aug  6 11:39:55 pegasus kernel: e100: eth0: e100_watchdog: link up, 100Mbps,
full-duplex
Aug  6 11:39:55 pegasus kernel: Restarting tasks...<6>usb 2-2: USB disconnect,
address 2
Aug  6 11:39:55 pegasus kernel: usb 2-2.1: USB disconnect, address 3
Aug  6 11:39:55 pegasus kernel: usb0: unregister usbnet usb-0000:00:1d.0-2.1,
Sharp Zaurus SL-5x00
Aug  6 11:39:55 pegasus kernel: sda : READ CAPACITY failed.
Aug  6 11:39:55 pegasus kernel: sda : status=0, message=00, host=7, driver=00 
Aug  6 11:39:55 pegasus kernel: sda : sense not available. 
Aug  6 11:39:55 pegasus kernel: sda: Write Protect is off
Aug  6 11:39:55 pegasus kernel: sda: assuming drive cache: write through
Aug  6 11:39:55 pegasus kernel: usb 2-2.2: USB disconnect, address 4
Aug  6 11:39:55 pegasus kernel: usb 2-2.3: USB disconnect, address 5
Aug  6 11:39:55 pegasus kernel: sda : READ CAPACITY failed.
Aug  6 11:39:55 pegasus kernel: sda : status=0, message=00, host=1, driver=00 
Aug  6 11:39:55 pegasus kernel: sda : sense not available. 
Aug  6 11:39:55 pegasus kernel: sda: Write Protect is off
Aug  6 11:39:55 pegasus kernel: sda: assuming drive cache: write through
Aug  6 11:39:55 pegasus kernel:  sda:<3>scsi0 (0:0): rejecting I/O to device
being removed
Aug  6 11:39:55 pegasus kernel: Buffer I/O error on device sda, logical block 0
Aug  6 11:39:55 pegasus kernel: scsi0 (0:0): rejecting I/O to device being removed
Aug  6 11:39:55 pegasus kernel: Buffer I/O error on device sda, logical block 0
Aug  6 11:39:55 pegasus kernel: scsi0 (0:0): rejecting I/O to device being removed
Aug  6 11:39:55 pegasus kernel: Buffer I/O error on device sda, logical block 0
Aug  6 11:39:55 pegasus kernel:  unable to read partition table
Aug  6 11:39:55 pegasus kernel:  done
Comment 1 Dan Carpenter 2005-08-06 17:02:07 EDT
You've hit a couple bugs.

1) an ALSA bug.  "codec_semaphore".  Are you using the snd-intel8x0m driver? 
Aparently this is fixed upstream already.
http://www.ussg.iu.edu/hypermail/linux/kernel/0506.2/0757.html

2)  > Aug  6 11:39:54 pegasus kernel: Debug: sleeping function called from invalid
context at mm/slab.c:2126
This is the same as bug 154046

Then there are a bunch of errors with your USB.  I don't know if it's caused by
the sleeping function.

Comment 2 Dave Jones 2005-08-26 03:10:46 EDT
1) fixed in cvs, will be in the next build
2) should be fixed in current updates-testing kernel

This could be an irq routing problem, that may be fixed by the acpi update in
the current updates-testing kernel. Please give that a try.
Comment 3 Eli 2005-10-29 12:00:32 EDT
I'm not getting those errors at this point.

The mouse still stopped working after a suspend cycle, but I had it plugged into
a Belkin USB hub, and if I take the hub out of the equation things work.  And it
seems that the hub may be dead anyway... the lights aren't coming back on even
if I unplug it, reboot, etc.  So I'm going to chaulk that up to bad hardware.

Thanks!

Comment 4 Dave Jones 2006-01-16 17:29:10 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 5 Dave Jones 2006-02-03 01:12:56 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 6 John Thacker 2006-05-04 21:25:42 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.